﻿using Syncfusion.UI.Xaml.Grid;
using Syncfusion.UI.Xaml.Grid.Cells;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using Syncfusion.UI.Xaml.Grid.Helpers;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Reflection;
using Syncfusion.Data;
using System.Data;

namespace SfDataGridDemo
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.sfdatagrid.QueryUnboundColumnValue += dataGrid_QueryUnboundColumnValue;
        }
       

        void dataGrid_QueryUnboundColumnValue(object sender, GridUnboundColumnEventsArgs e)
        {
            if (e.UnBoundAction == UnBoundActions.CommitData)
            {
                if (e.Column.MappingName == "A")
                {
                    var record = e.Record as Model;
                    record.A =int.Parse(e.Value.ToString());
                   
                   
                }
                else if (e.Column.MappingName == "C")
                {
                    var record = e.Record as Model;
                    record.C = int.Parse(e.Value.ToString());
                }
                
            }
            
        }
    }
}
         
   

