﻿using Syncfusion.Windows.Shared;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SfDataGridDemo
{
    public class ViewModel : INotifyPropertyChanged
    {
        private ObservableCollection<Model> _EmployeeDetails;
        public ObservableCollection<Model> EmployeeDetails
        {
            get { return _EmployeeDetails; }
            set
            {
                _EmployeeDetails = value;
                OnPropertyChanged("EmployeeDetails");
            }
        }

        
        public ViewModel()
        {
            GetStudentsDetails();
        }
        private void GetStudentsDetails()
        {
            EmployeeDetails = new ObservableCollection<Model>();
            EmployeeDetails.Add(new Model() { A = 100, C = 100 });
            
        }
       

        public event PropertyChangedEventHandler PropertyChanged;
        public void OnPropertyChanged(string PropertyName)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(PropertyName));
        }


       
    }
}
            
        
     

